petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectComposedDataGetScalarstar

retrieve scalar array data attached to an object

### Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataGetScalarstar(PetscObject obj,int id,PetscScalar *data,PetscBool  flag)

Not collective

### Input parameters

| obj | - the object from which data is to be retrieved
| id | - the identifier for the data

Output parameters

| data | - the data to be retrieved
| flag | - PETSC_TRUE if the data item exists and is valid, PETSC_FALSE otherwise

The 'data' and 'flag' variables are inlined, so they are not pointers.

### Level

developer

### Location

include/petsc/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages